Subject: (urth) For Jerry: Green mankiller

From: maa32 <maa32 at dana.ucc.nau.edu>
Date: Tue, 05 Feb 2002 05:35:22 +0000

Jerry, Joe has recently cross-referenced the two appearances of the "Green 
Mankiller" that appears once towards the end of In Green's Jungles and briefly 
in Return to the Whorl.  His comments are somewhere in the recent posts.  When 
they skirt a swamp, the narrator says he can feel a two tusked green monster 
lurking for him, with tusks as big as his wrists.  It comes up again later.  
At first I was sure he was talking about Babbie, but that didn't pan out with 
my later theories.  The dripping teeth of Triskele, who shows up at the end of 
Return to the Whorl made gave me the association, but "friend" does tend to 
negate its scary qualities.  Thanks.
Marc Aramini

--